get
https://api.accelevents.com/rest/u/myticket/order/
- This API is used to get order details and event details by particular order id.
- When the user clicks on the My Activity page from the profile menu, the user gets the list of event ticket details for
a particular event like eventTicketId, orderId, paidAmount, etc. and use these order Ids in this API to get order details. - We need to pass the authorization token in API in the header.
- Authorization token will be generated when the user login to the system.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This API returns a void response with 200 status if API is executed successfully.
Here is the description of response attributes, which returns to the form of JSON :
| Attribute | Description |
|---|---|
| eventLogoImage | This field contains the logo of the event |
| eventName | It contains the name of the event |
| eventUrl | It contains the Event url which is unique identifier for event |
| eventStartDate | It contains the start date of the event |
| eventEndDate | It contains the end date of the event |
| ticketOrderNumber | It contains the order Id of the ticket |
| ticketOrderAmount | It contains the total amount of the particular ticket order |
| purchaseDate | It contains the date on which ticket purchased |
| seatNumbers | It contains selected seat number of ticket holder |
| allowAttendeeToEditInfo | This field is used to check attendee is allow or not to edit his/her information |
| currency | This field display the current of the event |
| totalPurchasedTicketsInOrder | This field contains the count of the total purchased tickets in particular order |
| holderAttribute | It contains the all attributes of ticket holder |
| eventLocation | It contains the event location |
Here are the possible error messages, which return if any condition gets failed or required data is missing for processing
| Error code | Error description |
|---|---|
| 200 | Ok |
| 401 | User is not authorized to view the resource. |
| 404 | Order you are looking for is not found |